<?php

namespace Drupal\Tests\tour\Functional\Content;

use Drupal\Tests\tour\Functional\TourTestBase;

/**
 * Tests the Node form tour.
 *
 * @group tour
 */
class NodeFormTourTest extends TourTestBase {

  /**
   * Modules to enable.
   *
   * @var array
   */
  protected static $modules = ['node', 'tour', 'block'];

  /**
   * {@inheritdoc}
   */
  protected function setUp(): void {
    parent::setUp();

    // Create Basic page node type.
    $this->drupalCreateContentType(['type' => 'page', 'name' => 'Basic page']);

    // Setup user.
    $admin_user = $this->drupalCreateUser([
      'administer content types',
      'access administration pages',
      'create page content',
      'edit own page content',
      'access tour',
    ]);
    $this->drupalLogin($admin_user);

    $this->drupalPlaceBlock('local_actions_block');
  }

  /**
   * Tests Node edit form tour tip availability.
   */
  public function testNodeEditFormTourTips(): void {
    $this->drupalGet('node/add/page');
    $this->assertTourTips();

    $node = $this->drupalCreateNode(['type' => 'page']);

    $this->drupalGet("node/{$node->id()}/edit");
    $this->assertTourTips();
  }

}
