<?php

namespace Drupal\Tests\system\Functional;

use Drupal\Tests\tour\Functional\TourTestBase;

/**
 * Tests tour functionality when using front page rout.
 *
 * @group tour
 */
class FrontPageTourTest extends TourTestBase {

  /**
   * Modules to enable.
   *
   * @var array
   */
  protected static $modules = [
    'block',
    'tour',
    'system',
    'node',
    'tour_test',
  ];

  /**
   * {@inheritdoc}
   */
  protected function setUp(): void {
    parent::setUp();
    $this->adminUser = $this->drupalCreateUser([
      'access tour',
    ]);
    $this->drupalLogin($this->adminUser);
    $this->drupalPlaceBlock('local_actions_block');

    $this->drupalCreateContentType(['type' => 'page']);
    $id = $this->drupalCreateNode(['promote' => 1])->id();

    // Configure 'node' as front page.
    $this->config('system.site')->set('page.front', '/node/' . $id)->save();
  }

  /**
   * Test tips appear for frontpage.
   */
  public function testFrontPageTour(): void {
    $this->drupalGet('<front>');
    $this->assertTourTips();
  }

}
